System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.IInputSession System.ServiceModel.Channels.IOutputSession

The interface is the union of the inbound session, defined by the interface, and the outbound session, defined by the interface. Either the inbound session or outbound session can be terminated independently of the other. The outbound session can be terminated synchronously by calling or asynchronously by calling .

The inbound session can be remotely terminated. The associated with the inbound session starts returning null when that session is shutdown.

Defines the interface for the session implemented on each side of a bi-directional communication between messaging endpoints.

- Method
  4.0.0.0
  System.IAsyncResult `` ``

  Terminating the outbound session does not affect the incoming session and so makes no statement about the ability to receive messages on the session associated with the input channel. This operation must complete within a default interval of time.

  Begins an asynchronous operation to terminate the outbound session.

  The that references the asynchronous outbound session termination.

  The delegate. An object that contains state information for this request.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  Terminating the outbound session does not affect the incoming session and so makes no statement about the ability to receive messages on the session associated with the input channel.

  Begins an asynchronous operation to terminate the outbound session with a specified timeout within which the operation must complete.

  The that references the asynchronous outbound session termination.

  The that specifies the interval of time within which the operation must complete. The delegate. An object that contains state information for this request.
- Method
  4.0.0.0
  System.Void

  Calling signals to the other side of the session that it should return null from any outstanding or subsequent calls made to . is idempotent, so calling it again has no effect.

  Terminating the outbound session does not affect the incoming session and so makes no statement about the ability to receive messages on the session associated with the input channel.

  Terminates the outbound session that indicates that no more messages will be sent from this endpoint on the channel associated with the session.

- Method
  4.0.0.0
  System.Void ``

  Calling signals to the other side of the session that it should return null from any outstanding or subsequent calls made to . is idempotent, so calling it again has no effect.

  Terminating the outbound session does not affect the incoming session and so makes no statement about the ability to receive messages on the session associated with the input channel.

  Terminates the outbound session that indicates that no more messages will be sent from this endpoint on the channel associated with the session within a specified interval of time.

  The that specifies the interval of time within which the operation must complete.
- Method
  4.0.0.0
  System.Void ``

  Terminating the outbound session does not affect the incoming session and so makes no statement about the ability to receive messages on the session associated with the input channel

  Completes an asynchronous operation to terminate the outbound session that indicates that no more messages will be sent from this endpoint on the channel associated with the session.

  The returned by a call to one of the methods.